export declare const CACHE_CHECK_INTERVAL = 20000;
export interface CachedFileData {
    lastModified: number;
    fileExists: boolean;
    value: any;
    lastCheck: {
        time: number;
        wasChanged: boolean;
    };
}
export interface LoadDataOptions {
    bypassCache?: boolean;
}
export interface LoadFileDataFunc {
    (filePath: string, fileContent?: string): any;
}
export interface FileDataCacheOptions {
    loadFileData: LoadFileDataFunc;
    checkInterval?: number;
    readFile?: boolean;
}
export declare type FileDataCacheMap = Map<string, CachedFileData>;
export declare class FileDataCache {
    map: FileDataCacheMap;
    loadFileData: LoadFileDataFunc;
    checkInterval: number;
    readFile?: boolean;
    constructor(options: FileDataCacheOptions);
    getEntries(): {
        path: string;
        lastModified: number;
        fileExists: boolean;
        value: any;
        lastCheck: {
            time: number;
            wasChanged: boolean;
        };
    }[];
    getPaths(): string[];
    getValues(): any[];
    getEntry(fullPath: string): CachedFileData;
    loadData(filePath: string, options?: LoadDataOptions): any;
}
